Bug 590476 - PyEphem is two years out of date
Summary: PyEphem is two years out of date
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pyephem (Show other bugs)
(Show other bugs)
Version: 13
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Marek Mahut
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-09 18:27 UTC by Scott Schmit
Modified: 2011-02-24 06:29 UTC (History)
2 users (show)

Fixed In Version: pyephem-3.7.3.4-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-23 21:54:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Scott Schmit 2010-05-09 18:27:10 UTC
Description of problem:
The latest version of pyephem is 3.7.3.4, released April 2009. The most current version in Fedora is 3.7.2.3, released January 2008. The newer version have some bugfixes & usability improvements.

Version-Release number of selected component (if applicable):
pyephem-3.7.2.3-5.fc12.x86_64

How reproducible:
100%

Steps to Reproduce:
1. yum update pyephem
2. rpm -q pyephem
  
Actual results:
pyephem-3.7.2.3-5.fc12.x86_64

Expected results:
pyephem-3.7.3.4-1.fc12.x86_64

Additional info:
http://rhodesmill.org/pyephem/CHANGELOG.html

Admittedly, there was an incompatible change that might have made you avoid updating during F12, but there's no reason it shouldn't've been changed during F13!

Comment 1 Bug Zapper 2010-11-03 15:14:49 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Andrew Elwell 2011-01-20 15:35:03 UTC
I have updated the spec for this and prepared a new srpm (wanted a new version to use myself. Consider this an unnofficial non-maintainer-update :-)

Spec URL: http://dl.dropbox.com/u/6594808/Fedora/pyephem.spec
SRPM URL:  http://dl.dropbox.com/u/6594808/Fedora/pyephem-3.7.3.4-1.fc14.src.rpm

rpmlint ~/Dropbox/Public/Fedora/pyephem*
1 packages and 1 specfiles checked; 0 errors, 0 warnings.

Comment 3 Andrew Elwell 2011-01-31 10:03:03 UTC
Hi, As per the http://fedoraproject.org/wiki/Policy_for_nonresponsive_package_maintainers, can you acknowlege this request for update please?

Comment 4 Fedora Update System 2011-01-31 14:01:06 UTC
pyephem-3.7.3.4-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/pyephem-3.7.3.4-1.el6

Comment 5 Fedora Update System 2011-01-31 14:02:00 UTC
pyephem-3.7.3.4-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/pyephem-3.7.3.4-1.fc14

Comment 6 Fedora Update System 2011-01-31 15:53:56 UTC
pyephem-3.7.3.4-1.el6 has been pushed to the Fedora EPEL 6 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pyephem'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/pyephem-3.7.3.4-1.el6

Comment 7 Fedora Update System 2011-02-23 21:54:37 UTC
pyephem-3.7.3.4-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-02-24 06:29:42 UTC
pyephem-3.7.3.4-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.